Bug 15193 - mesa xdemo 'glthreads' draw nothing
mesa xdemo 'glthreads' draw nothing
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: GLX
git
Other Linux (All)
: medium normal
Assigned To: mesa-dev
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-24 23:34 UTC by Colin.Joe
Modified: 2009-08-24 12:29 UTC (History)
3 users (show)

See Also:


Attachments
Xorg.0.log (21.35 KB, text/plain)
2008-03-24 23:37 UTC, Colin.Joe
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Colin.Joe 2008-03-24 23:34:23 UTC
System Environment:
--------------------------

--Platform:965
--Architecture(32-bit,64-bit,compatiblity):32bit & 64bit 
--2D driver:master 645980596450ed21c3b8927410a6bfe38a0c55d1
--3D driver:master c98642169496cfa7d8026dbd5214fafbde962002

--DRM:master b0817a42e789a83454e6acba0578116829e2bf51

--Xserver:master 4217ba0cf0c9bbea3774760e836ab372acf3237c

--Kernel:2.6.24

Bug detailed description:
--------------------------
startx, run glthreads -n 10 ,run failed ,draw nothing .


Reproduce steps:
----------------
1.startx 
2../glthreads -n 10


Current result:
----------------
draw nothing 

Expected result:
----------------
run normally
Comment 1 Colin.Joe 2008-03-24 23:37:01 UTC
Created attachment 15439 [details]
Xorg.0.log
Comment 2 Zou Nan hai 2008-03-24 23:57:43 UTC
Is it i915 or I965?

glthreads -n 10 runs well here

can you try glthreads -n 2?
Comment 3 Colin.Joe 2008-03-25 19:39:25 UTC
this case run failed on both 965 & 915, but if I run ./glthreads -n 2 ,it can run 
normally .
Comment 4 Zou Nan hai 2008-03-25 20:15:32 UTC
It seems like a X server issue, all thread is waiting for _XReply.
Could you roll back the xserver a little bit, i.e. 1 week before to see if this issue still happen?
Comment 5 Colin.Joe 2008-03-26 18:33:17 UTC
I have rolled back and  retested it , this bug still can be reproduced .
Comment 6 Zou Nan hai 2008-03-26 22:54:36 UTC
It seems threads has some synchoronize issue with xcb.
Can you try build the X server without xcb to see if the issue still exist?
Comment 7 Colin.Joe 2008-03-27 19:28:39 UTC
we always build xserver without xcb .
Comment 8 Zou Nan hai 2008-03-27 19:41:07 UTC
Use -l option which hold mutex around xlib call will make the issue disappear, and you will also see the issue with software rendering. 

So it should be a GLX 
issue.
Comment 9 Eric Anholt 2008-03-28 11:01:47 UTC
There's nothing xcb-related in the x server. Perhaps you meant xlib?
Comment 10 Colin.Joe 2008-04-29 19:17:43 UTC
Using the master tip , this bug can't be reproduced again.  verified . 
Comment 11 ajax at nwnk dot net 2009-08-24 12:29:44 UTC
Mass version move, cvs -> git